Subject: Re: Rerunning merge on a single file

From: Kristian Amlie <[email-masked]>
Date: Tue, 14 Oct 2008 14:48:01 +0200

Santi Béjar wrote:
> On Tue, Oct 14, 2008 at 2:13 PM, Kristian Amlie
> <[email-masked]> wrote:
>> Hey, I have question about advanced merging.
>>
>> Suppose I have a huge merge with conflicts all over the place. There is no
>> way to avoid them, so I start working from the top. At some point, however,
>> I make a mistake and lose the merge information for one file (for example by
>> checking out the file from HEAD).
>>
>> In that case I would like to get the conflict markers back, and do that file
>> over again, but I don't want to throw away the rest of the index state.
>> Currently the only way I can see to do this is by checking out several file
>> versions under different names and then using git merge-file on them.
>>
>> Is there a better way to achieve this?
> 
> If the different versions are still in the index you could use:
> 
> $ git checkout --merge $file

In my case the files were added to the index already, so I guess it 
doesn't work then?

Kristian